[5.0.0.465] Crashes when the Image Gallery is viewed
Closed, ResolvedPublic

Description

Repro steps

  1. Open any article with a lead image - via Search, form Home/Recent/Saved pages
  2. Click on the lead image to go to the Image Gallery - start flipping through the images.
  3. When the last image is reached - click on the 'X' to close the Image Gallery.

The app crashes.

Etonkovidova updated the task description. (Show Details)
Etonkovidova raised the priority of this task from to Needs Triage.
Etonkovidova added a subscriber: Etonkovidova.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 6 2015, 11:27 PM
Etonkovidova renamed this task from [Dev 5.0.0 (474) and 465] Crashes when the Image Gallery is viewed to [5.0.0.465] Crashes when the Image Gallery is viewed.Nov 7 2015, 12:28 AM
Etonkovidova set Security to None.

There were crashes on Dev 5.0.0 (475) and Dev 5.0.0 (474).

JMinor triaged this task as High priority.
Fjalapeno closed this task as Resolved.
Fjalapeno claimed this task.
Fjalapeno reopened this task as Open.Nov 9 2015, 9:13 PM

Letting this go for @BGerstle-WMF.

The 2 different gallery use different implementations of getting an article's images. This is the cause of the crash, since the list of images is a different length in each implementation. Its hard to follow the code paths and find the bug (for me).

Suggest we move this code up into the super class so it can be reused by each gallery instead of re-implemting the same logic in each subclass.

Fjalapeno removed Fjalapeno as the assignee of this task.Nov 9 2015, 9:39 PM
Fjalapeno added a subscriber: Fjalapeno.

Checked with 5.0.0.503 on iPad mini iOS 8.2 and iPhone 5 iOS 9.02.

JMinor closed this task as Resolved.Nov 20 2015, 6:46 PM
JMinor added a subscriber: JMinor.